Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007226opensim[REGION] Physics Enginespublic2014-06-20 14:002015-08-18 09:34
Reportervegaslon 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007226: [PATCH]Bulletsim-- Implement Vehicle Reference Frame.
DescriptionThis has not been working before but this small tweak allows you to use it for vehicles.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filespatch file icon BulletSim-Implement-hooks-for-VEHICLE_REFERENCE_FRAM.patch [^] (9,366 bytes) 2014-07-19 09:38 [Show Content]

- Relationships

-  Notes
(0026511)
Robert Adams (administrator)
2014-07-18 19:00

Reference frame would be cool to have but this is not the place to put this code. The VehicleOrientation method is a wrapper for the orientation in the underlying prim and does the caching of the value so the underlying prim is not updated multiple times (and causing all the side effects thereof). Changing the returned value here without also changing the setting would mess up orientation getting and setting.

For reference frame, displaced orientation there should be another method that returns that rather than faking out and corrupting the functionality of this method.
(0026515)
vegaslon (reporter)
2014-07-19 09:39

I have submitted another patch that does what I believe you asked to be done.
(0029242)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2014-06-20 14:00 vegaslon New Issue
2014-06-20 14:00 vegaslon File Added: 0001-BulletSim-Implement-working-VEHICLE_REFERENCE_FRAME.patch
2014-06-20 14:00 vegaslon Status new => patch included
2014-07-18 19:00 Robert Adams Note Added: 0026511
2014-07-19 09:37 vegaslon File Deleted: 0001-BulletSim-Implement-working-VEHICLE_REFERENCE_FRAME.patch
2014-07-19 09:38 vegaslon File Added: BulletSim-Implement-hooks-for-VEHICLE_REFERENCE_FRAM.patch
2014-07-19 09:39 vegaslon Note Added: 0026515
2014-07-26 16:11 Robert Adams Assigned To => Robert Adams
2014-07-26 16:11 Robert Adams Status patch included => assigned
2015-04-06 15:57 vegaslon Status assigned => resolved
2015-04-06 15:57 vegaslon Fixed in Version => master (dev code)
2015-04-06 15:57 vegaslon Resolution open => fixed
2015-08-18 09:34 aiaustin Note Added: 0029242
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker